Go to the latest version of this document.

# ``twisted`.`conch`.`error`.`ValidPublicKey``

exception documentation

`class ValidPublicKey(UnauthorizedLogin): (source)`

View In Hierarchy

Raised by public key checkers when they receive public key credentials that don't contain a signature at all, but are valid in every other way. (e.g. the public key matches one in the user's authorized_keys file).

Protocol code (eg `SSHUserAuthServer`) which attempts to log in using `ISSHPrivateKey` credentials should be prepared to handle a failure of this type by telling the user to re-authenticate using the same key and to include a signature with the new attempt.

See http://www.ietf.org/rfc/rfc4252.txt section 7 for more details.